svn commit: r348727 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Thu Jun 6 06:38:30 UTC 2019


Author: pho
Date: Thu Jun  6 06:38:29 2019
New Revision: 348727
URL: https://svnweb.freebsd.org/changeset/base/348727

Log:
  Added two regression tests.
  
  Sponsored by:	Dell EMC Isilon

Added:
  user/pho/stress2/misc/umountf11.sh   (contents, props changed)
  user/pho/stress2/misc/umountf12.sh   (contents, props changed)

Added: user/pho/stress2/misc/umountf11.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/umountf11.sh	Thu Jun  6 06:38:29 2019	(r348727)
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (c) 2019 Dell EMC Isilon
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# "panic: vm_map_entry_set_vnode_text: wrong object type, ..." seen:
+# https://people.freebsd.org/~pho/stress/log/kostik1205.txt
+# Fixed by r348701
+
+# Test scenario suggestion by kib@
+
+. ../default.cfg
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+mount | grep -q "on $mntpoint " && umount -f $mntpoint
+mount -o size=1g -t tmpfs null $mntpoint || exit 1
+
+for i in `jot 10 1`; do
+	cp /bin/sleep $mntpoint/sleep$i
+	$mntpoint/sleep$i .2
+	rm $mntpoint/sleep$i
+done
+cp /bin/sleep $mntpoint/sleep
+$mntpoint/sleep 10 &
+umount -f $mntpoint
+wait

Added: user/pho/stress2/misc/umountf12.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/umountf12.sh	Thu Jun  6 06:38:29 2019	(r348727)
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (c) 2019 Dell EMC Isilon
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# acquiring duplicate lock of same type: "vnode interlock"
+#  1st vnode interlock @ /usr/src/sys/fs/nullfs/null_vnops.c:342
+#  2nd vnode interlock @ kern/vfs_default.c:1116
+# seen.
+# Fixed by r348698
+
+# Test scenario suggestion by kib@
+
+. ../default.cfg
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+log=/tmp/umountf13.log
+tail -F -n 0 /var/log/messages > $log & lpid=$!
+set -e
+mount | grep -q "on $mntpoint " && umount -f $mntpoint
+mount -o size=1g -t tmpfs null $mntpoint
+mp2=$mntpoint$((mdstart + 1))
+mkdir -p $mp2
+mount | grep -q "on $mp2 " && umount -f $mp2
+
+mount -t nullfs $mntpoint $mp2
+set +e
+
+for i in `jot 10 1`; do
+	cp /bin/sleep $mp2/sleep$i
+	$mp2/sleep$i .2
+	rm $mp2/sleep$i
+done
+cp /bin/sleep $mp2/sleep
+$mp2/sleep 10 & spid=$!
+umount -f $mp2
+wait $spid
+grep -A2 "acquiring duplicate lock of same type" $log && s=1 || s=0
+kill $lpid
+rm $log
+wait
+
+umount $mntpoint
+exit $s


More information about the svn-src-user mailing list